Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 11.x for test
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
RollbackFieldTest class core/modules/field/tests/src/Kernel/Migrate/d7/RollbackFieldTest.php Migrates and rolls back Drupal 7 fields.
RollbackFieldTest.php file core/modules/field/tests/src/Kernel/Migrate/d7/RollbackFieldTest.php
RollbackFieldTest::executeRollback function core/modules/field/tests/src/Kernel/Migrate/d7/RollbackFieldTest.php Executes a single rollback.
RollbackFieldTest::testFields function core/modules/field/tests/src/Kernel/Migrate/d7/RollbackFieldTest.php Tests migrating D7 fields to field_storage_config entities, then rolling back.
RollbackTest class core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php @group Recipe
RollbackTest.php file core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php
RollbackTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php The theme to install as the default for testing.
RollbackTest::$modules property core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php Modules to install.
RollbackTest::$strictConfigSchema property core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php Disable strict config schema because this test explicitly makes the
recipe system save invalid config, to prove that it validates it after
the fact and raises an error.
RollbackTest::assertCheckpointsExist function core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php Asserts that the current set of checkpoints matches the given labels.
RollbackTest::testRollbackForInvalidConfig function core/tests/Drupal/FunctionalTests/Core/Recipe/RollbackTest.php @testWith ["invalid_config", "core.date_format.invalid"][[api-linebreak]]
["recipe_depend_on_invalid", "core.date_format.invalid"][[api-linebreak]]
["recipe_depend_on_invalid_config_and_valid_modules",…
RollbackViewModesTest class core/modules/field/tests/src/Kernel/Migrate/d7/RollbackViewModesTest.php Migrates and rolls back Drupal 7 view modes.
RollbackViewModesTest.php file core/modules/field/tests/src/Kernel/Migrate/d7/RollbackViewModesTest.php
RollbackViewModesTest::$modules property core/modules/field/tests/src/Kernel/Migrate/d7/RollbackViewModesTest.php Modules to install.
RollbackViewModesTest::executeRollback function core/modules/field/tests/src/Kernel/Migrate/d7/RollbackViewModesTest.php Executes a single rollback.
RollbackViewModesTest::testMigration function core/modules/field/tests/src/Kernel/Migrate/d7/RollbackViewModesTest.php Tests migrating D7 view modes, then rolling back.
RouteBuilderTest class core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php @coversDefaultClass \Drupal\Core\Routing\RouteBuilder[[api-linebreak]]
@group Routing
RouteBuilderTest.php file core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php
RouteBuilderTest::$checkProvider property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php
RouteBuilderTest::$controllerResolver property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The controller resolver.
RouteBuilderTest::$dispatcher property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The mocked event dispatcher.
RouteBuilderTest::$dumper property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The mocked matcher dumper.
RouteBuilderTest::$lock property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The mocked lock backend.
RouteBuilderTest::$moduleHandler property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The module handler.
RouteBuilderTest::$routeBuilder property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The actual tested route builder.
RouteBuilderTest::$yamlDiscovery property core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php The mocked YAML discovery.
RouteBuilderTest::setUp function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php
RouteBuilderTest::testRebuildBlockingLock function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests route rebuilding with a blocking lock.
RouteBuilderTest::testRebuildIfNeeded function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests \Drupal\Core\Routing\RouteBuilder::rebuildIfNeeded() method.
RouteBuilderTest::testRebuildLockingUnlocking function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests that the route rebuilding both locks and unlocks.
RouteBuilderTest::testRebuildWithOverriddenRouteClass function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests routes can use alternative compiler classes.
RouteBuilderTest::testRebuildWithProviderBasedRoutes function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests the rebuild with routes provided by a callback.
RouteBuilderTest::testRebuildWithStaticModuleRoutes function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests that provided routes by a module is put into the dumper/dispatcher.
RouteCachingLanguageTest class core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Tests that route lookup is cached by the current language.
RouteCachingLanguageTest.php file core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php
RouteCachingLanguageTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php The theme to install as the default for testing.
RouteCachingLanguageTest::$modules property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Modules to install.
RouteCachingLanguageTest::$webUser property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php A user with permissions to administer content types.
RouteCachingLanguageTest::providerLanguage function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Data provider for testFromUri().
RouteCachingLanguageTest::setUp function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php
RouteCachingLanguageTest::testLinkTranslationWithAlias function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Creates content with a link field pointing to an alias of another language.
RouteCachingNonPathLanguageNegotiationTest class core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php Tests the route cache when the language is not in the path.
RouteCachingNonPathLanguageNegotiationTest.php file core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php
RouteCachingNonPathLanguageNegotiationTest::$adminUser property core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php The admin user.
RouteCachingNonPathLanguageNegotiationTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php The theme to install as the default for testing.
RouteCachingNonPathLanguageNegotiationTest::$modules property core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php Modules to install.
RouteCachingNonPathLanguageNegotiationTest::setUp function core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php
RouteCachingNonPathLanguageNegotiationTest::testAliases function core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php Tests aliases when the negotiated language is not in the path.
RouteCachingQueryAlteredTest class core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php Tests the route cache when the request's query parameters are altered.
RouteCachingQueryAlteredTest.php file core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.